Subject: Re: bug#18425: test for new glibc regex bug

From: Jim Meyering <[email-masked]>
Date: Wed, 10 Sep 2014 20:10:35 -0700

On Mon, Sep 8, 2014 at 9:51 AM, Paul Eggert <[email-masked]> wrote:
> Thanks.  How about the attached simpler patch instead?  Since grep always
> uses glibc-compatible regex (and supplies its own substitute when the system
> lacks one), and since all known glibc-compatible implementations fail, it
> should be safe to assume that grep will fail on the new test.  We can worry
> about dealing with test successes later, when the bug gets fixed (and
> presumably grep's substitute regex implementation will get fixed too).

Hi Paul,
Thanks for the review and suggestion.
But what about configure's --without-included-regex option?
With it, the test may well pass (counted as a failure, here) on
systems without glibc.